Bug 719286 - RFE: provide output of the contents of /var/lib
RFE: provide output of the contents of /var/lib
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: sos (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Bryn M. Reeves
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-06 06:54 EDT by Dan Yasny
Modified: 2014-04-01 07:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-01 07:44:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Yasny 2011-07-06 06:54:50 EDT
Description of problem:
troubleshooting certain issues (libvirt for example) requires knowing that certain files are in /var/lib/...

The directory itself can be huge, but the output of `tree /var/lib` or `lr -lR /var/lib/` should be enough

Example: checking for existence of libvirt VM save files in /var/lib/libvirt/qemu/save/ can solve a lot of VM save/restore issues


Version-Release number of selected component (if applicable):
F15 (and any RHEL)

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:
no /var/lib contents in sosreport

Expected results:
tree /var/lib and ls -lR /var/lib under sos_commands

Additional info:
Comment 1 Fedora Admin XMLRPC Client 2012-02-25 08:50:14 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2012-02-27 08:59:29 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Bryn M. Reeves 2012-12-11 14:39:20 EST
Fixed upstream:

commit 1a0c39917ebc7c1636b702a6a6a0719b72795864
Author: Bryn M. Reeves <bmr@redhat.com>
Date:   Tue Dec 11 19:36:18 2012 +0000

    Collect file lists for /var/lib
    
    Collect a list of files and directories under /var/lib using ls -lR
    and tree (if available).

Note You need to log in before you can comment on or make changes to this bug.